from si_tests.fixtures.openstack import openstack_client
from si_tests.fixtures.openstack import extra_offline_sg
from si_tests.fixtures.openstack import openstack_client_manager
from si_tests.fixtures.openstack import check_sg
from si_tests.fixtures.kubectl import kaas_manager
from si_tests.fixtures.kubectl import os_manager
from si_tests.fixtures.iam import iam_api
from si_tests.fixtures.introspect import introspect_PRODX_9696
from si_tests.fixtures.introspect import introspect_PRODX_9238
from si_tests.fixtures.iam import keycloak_ip
from si_tests.fixtures.iam import iam_ip_port
from si_tests.fixtures.kubectl import squid_ip
from si_tests.fixtures.kubectl import mgmt_k8s_ip
from si_tests.fixtures.iam import keycloak_admin_client
from si_tests.fixtures.kubectl import component_test_resources
from si_tests.fixtures.kubectl import stacklight_prerequisites
from si_tests.fixtures.kubectl import k8s_prerequisites
from si_tests.fixtures.kubectl import mgmt_os_provider_e2e_prerequisites
from si_tests.fixtures.kubectl import kaas_ui_prerequisites
from si_tests.fixtures.kubectl import store_cluster_description
from si_tests.fixtures.kubectl import proxy_manager
from si_tests.fixtures.ipmi import ipmi_client
from si_tests.fixtures.common import show_step
from si_tests.fixtures.common import log_method_time, func_name
# required for functions in request.addfinalizer() to analyze the results
from si_tests.fixtures.common import pytest_runtest_makereport  # noqa
from si_tests.fixtures.common import modify_case_name
from si_tests.fixtures.common import store_testcase_doc_to_junit
from si_tests.fixtures.common import pytest_runtest_setup
from si_tests.fixtures.common import pytest_runtest_teardown

__all__ = [
    'openstack_client',
    'openstack_client_manager',
    'show_step',
    'kaas_manager',
    'os_manager',
    'keycloak_admin_client',
    'iam_api',
    'component_test_resources',
    'stacklight_prerequisites',
    'kaas_ui_prerequisites',
    'k8s_prerequisites',
    'mgmt_os_provider_e2e_prerequisites',
    'extra_offline_sg',
    'keycloak_ip',
    'iam_ip_port',
    'squid_ip',
    'mgmt_k8s_ip',
    'log_method_time',
    'func_name',
    'modify_case_name',
    'store_cluster_description',
    'store_testcase_doc_to_junit',
    'pytest_runtest_setup',
    'pytest_runtest_teardown',
    'ipmi_client',
    'introspect_PRODX_9696',
    'introspect_PRODX_9238',
    'check_sg',
    'proxy_manager',
]
